<template>
  <div>
    <JobPostDetail />
  </div>
</template>

<script>
import axios from 'axios'

export default {
  name: 'JobIndex',

  async asyncData() {
    return await axios
      .get('http://134.213.212.195:3000/api/jobseeker/matching-job/52')
      .then((response) => {
        console.log(response.data.data)
        return { reaData: response.data.data }
      })
      .catch((error) => {
        console.log(error.response.data)
      })
  },

  head() {
    return {
      title: this.reaData.job_title,
      meta: [
        {
          hid: 'title',
          name: 'title',
          content: this.reaData.job_title,
        },
        {
          hid: 'description',
          name: 'description',
          content: this.reaData.job_description,
        },
        {
          property: 'og:title',
          content: this.reaData.job_title,
        },
        {
          property: 'og:description',
          content: this.reaData.job_description,
        },
        {
          property: 'og:image',
          content: this.reaData.company?.file_path,
        },
        {
          property: 'twitter:title',
          content: this.reaData.job_title,
        },
        {
          property: 'twitter:description',
          content: this.reaData.job_description,
        },
        {
          property: 'twitter:image',
          content: this.reaData.company?.file_path,
        },
      ],
    }
  },
}
</script>

<style lang="scss" scoped>
</style>